-- Searches for the right Module und returns it
-- to the calling function
function GetGuildStone()
	local stone = FindObject(SearchModule("guild_stone"))

	if (stone == nil) then
		local itemLoc = Loc(1,0,1)
		local itemRot = Loc(0,0,0)
		local itemScale = Loc(1,1,1)

		stone = CreateObjExtended("guild_stone_template",nil, itemLoc,itemRot,itemScale,"guild_stone_created", nil)
	end


	return stone
end

-- This function can be used to find the party for a given player
-- It searches in the list of our party helper game object
function FindGuildForPlayer(user)
	if(user == nil) then
			--DebugMessage("nil user")
			return nil
	end

	local array = {}
		for key, value in pairs(GetGuildStone():GetAllObjVars()) do
			table.insert(array,{name = key, value = value})
		end

	for id, guild in pairs(array) do
		if (guild.value.Members[user] ~= nil) then
			return guild.value
		end
	end

	return nil

end
