function DumpDynInfo()
	DebugMessage("--**-- Dump Start.... --**--")
	DebugMessage("Name"..";".."Id"..";".."Location"..";".."Template"..";".."IsValid")
	local dynObjs = FindObjects(SearchRange(Loc(0,0,0),100000))
	for i,dynObj in pairs(dynObjs) do
			local name = dynObj:GetName() or "-NilName-"
			local valid = tostring(dynObj:IsValid())
			local template = tostring(dynObj:GetCreationTemplateId())
			local id = tostring(dynObj.Id)
			local location = tostring(dynObj:GetLoc())

			local behaviorStr = ""

			for i,behavior in pairs(dynObj:GetAllModules()) do
				behaviorStr = behaviorStr .. behavior .. ", "
			end

			DebugMessage(name..";"..id..";"..location..";"..template..";"..valid..";"..behaviorStr)
	end

	DebugMessage("**--** Dump End.... **--**")
end
