require 'Party'
-- The Party Controller is the bahavior behind the party_controller_template. ( see party_controller_template.xml in the templates folder)
-- Don't forget to spawn the object by making an entry to the SeedObjects file. The party system currently assumes that the object
-- will be available all the time
-- This is required to keep track of the different party and supreem forbid to use
-- globals. So this is it....
function OnModuleLoaded()
	DebugMessage("Party Init...");
end

-- Delete all party after load. All Players lost the connection after restart
-- so theres no need to keep the party records
-- We start from scratch here
function OnLoadedFromBackup()
	local array = {}
	for key, value in pairs(this:GetAllObjVars()) do
		table.insert(array,{name = key, value = value})
	end

	for key,value in pairs(array) do
		this:DelObjVar(tostring(value.name))
		DebugMessage("Party delete..."..value.name);
	end

	DebugMessage("Party list deleted...");
end

--RegisterEventHandler(EventType.Timer,"PartyLeaveTimer",
--    function(target)
--		DebugMessage("Party leave scheduled for"..target:GetName())

--		if (target == nil) then
--			return;
--		end

		--local p = Party.Get(target)

		--if (p == nil) then
		--	return
		--end

		--Party.Remove(target, p)
 --   end)

 -- Execute OnModuleLoaded after the module is attached to our gameobject
RegisterEventHandler(EventType.ModuleAttached,"party_controller",OnModuleLoaded)
RegisterEventHandler(EventType.LoadedFromBackup,nil,OnLoadedFromBackup)
