-- Modular AI

require "scriptlet_host"

MODULES_OBJVAR = "AIModules"
MODULAR_AI = true
Modules.Base = true

-- Current situation of this NPC - can be used by modules
Situation = "Default"

-- Sets situation and saves it to objvar
function SetSituation(new)
	Situation = new
	this:SetObjVar("AISituation", new)
end

if initializer ~= nil then
	this:SetObjVar("AIModules", initializer.Modules)
end

-- Ensure that we have absolute requirements; require them if not
--[[]]
if not DoMobileDeath then
	require "base_mobile"
end
if not AI or not AI.StateMachine then
	require "base_ai_state_machine"
end
--]]
--require "base_ai_npc" -- we need a better method here, like a choice in the editor which base ai we want to include ..~Yorlik

RegisterEventHandler(EventType.Message, "AddAIModule", AddModule)
RegisterEventHandler(EventType.Message, "DelAIModule", DelModule)

RequireModules()