-- Relation system mobile object extensions

GameObj.Meta.HasRelations = function(target)
	if target:HasModule("relation_system") or target:HasAiModule("relation_system") then
		return true
	end
end

GameObj.Meta.GetTrait = function (target, name)
	local table = target:GetObjVar("RelTraits")
	return table[name] or 0
end

GameObj.Meta.SetTrait = function (target, name, value)
	target:SendMessage("SetTrait", name, value)
end

GameObj.Meta.ModifyTrait = function (target, name, value)
	target:SendMessage("ModifyTrait", name, value)
end

GameObj.Meta.GetConcern = function (target, name)
	local table = target:GetObjVar("RelConcerns")
	return table[name] or {}
end

GameObj.Meta.SetConcern = function (target, name, value)
	target:SendMessage("SetConcern", name, value)
end