ResourceData = {
	ResourceSourceInfo = 
	{		
		Tree = 
		{
			ToolType = "Axe",		
			SkillRequired = "LumberjackSkill",
			DepletedState = "Stump",

			ResourceType = "Wood",
			RegenRate = (1 / 120), 
			Count = 20, 
		},

		BlackForestTree = 
		{
			ToolType = "Axe",		
			SkillRequired = "LumberjackSkill",
			MinSkill = 20,
			DepletedState = "Stump",

			ResourceType = "BlightWood",
			RegenRate = (1 / 120), 
			Count = 10, 
		},


	--Aldor: added copper, tin, bronze, coal, steel
		Rock = 
		{ 
			ToolType = "Pick",		
			SkillRequired = "MiningSkill",
			DepletedState = "Depleted",
			HarvestBonusFactor = 2.0,

			ResourceType = "Stone",
			RegenRate = (1 / 120), 
			Count = 25, 

			RareResources = {
				Coal = {					
					DefaultAvailablityPct = 15,
					Count = 20, 
					HarvestBonusFactor = 1.8,
					MinSkill = 5,
				},
				CopperOre = {					
					VisualState = "IronVein",
					DefaultAvailablityPct = 12,
					Count = 20, 
					HarvestBonusFactor = 1.1,
					MinSkill = 10,
				},
				TinOre = {					
					VisualState = "CobaltVein",
					DefaultAvailablityPct = 4,
					Count = 8, 
					HarvestBonusFactor = 1.0,
					MinSkill = 15,
				},
				IronOre = {					
					VisualState = "IronVein",
					DefaultAvailablityPct = 12,
					Count = 20, 
					HarvestBonusFactor = .5,
					MinSkill = 25,
				},
				CobaltOre = {
					VisualState = "CobaltVein",
					DefaultAvailablityPct = 2,
					Count = 4, 
					HarvestBonusFactor = .1,
					MinSkill = 30,
				},
			}
		},
	--Aldor: end of modifications

		Ginseng = 
		{
			SourceTemplate = "plant_ginseng",
			ToolType = "BareHands",
			SkillRequired = "ForagingSkill",
			DestroyWhenDepleted = true,
			HarvestBonusFactor = 1.2,
			ResourceType = "Ginseng",
			Count = 1,
		},

		LemonGrass = 
		{
			SourceTemplate = "plant_lemon_grass",
			ToolType = "BareHands",
			SkillRequired = "ForagingSkill",
			DestroyWhenDepleted = true,
			ResourceType = "LemonGrass",
			HarvestBonusFactor = 1.2,
			Count = 1,
		},

		Cotton = 
		{
			SourceTemplate = "plant_cotton",
			ToolType = "BareHands",
			SkillRequired = "ForagingSkill",
			DestroyWhenDepleted = true,
			ResourceType = "Cotton",
			HarvestBonusFactor = 1.2,
			Count = 2,
		},

		Mushrooms = 
		{
			SourceTemplate = "plant_mushrooms",
			ToolType = "BareHands",
			SkillRequired = "ForagingSkill",
			DestroyWhenDepleted = true,
			HarvestBonusFactor = 1.2,
			ResourceType = "Mushrooms",
			Count = 1,
		},

		MushroomsPoison = 
		{
			SourceTemplate = "plant_mushrooms_poison",
			ToolType = "BareHands",
			SkillRequired = "ForagingSkill",
			DestroyWhenDepleted = true,
			HarvestBonusFactor = 1.2,
			ResourceType = "MushroomsPoison",
			Count = 1,
		},

		MushroomsPoisonNoxious = 
		{
			SourceTemplate = "ingredient_mushroom_poison_noxious",
			ToolType = "BareHands",
			SkillRequired = "ForagingSkill",
			DestroyWhenDepleted = true,
			HarvestBonusFactor = 1.2,
			ResourceType = "MushroomsPoisonNoxious",
			Count = 1,
		},

		HumanSkull = 
		{
			SourceTemplate = "item_human_skull",
			ToolType = "BareHands",
			SkillRequired = "ForagingSkill",
			DestroyWhenDepleted = true,
			HarvestBonusFactor = 1.2,
			ResourceType = "HumanSkull",
			Count = 1,
		},

		Bones = 
		{
			SourceTemplate = "item_bones",
			ToolType = "BareHands",
			SkillRequired = "ForagingSkill",
			DestroyWhenDepleted = true,
			HarvestBonusFactor = 1.2,
			ResourceType = "Bones",
			Count = 1,
		},

		Cactus = 
		{
			SourceTemplate = "plant_cactus",
			ToolType = "BareHands",
			SkillRequired = "ForagingSkill",
			DestroyWhenDepleted = true,
			HarvestBonusFactor = 1.2,
			ResourceType = "Cactus",
			Count = 1,
		},

		SacredCactus = 
		{
			SourceTemplate = "plant_sacred_cactus",
			ToolType = "BareHands",
			SkillRequired = "ForagingSkill",
			DestroyWhenDepleted = true,
			HarvestBonusFactor = 1.2,
			ResourceType = "SacredCactus",
			Count = 1,
		},

		Moss = 
		{
			SourceTemplate = "plant_moss",
			ToolType = "BareHands",
			SkillRequired = "ForagingSkill",
			DestroyWhenDepleted = true,
			HarvestBonusFactor = 1.2,
			ResourceType = "Moss",
			Count = 1,
		},

		OliveOil = 
		{
			ToolType = "BareHands",		
			SkillRequired = "LuckSkill",
			DepletedState = "Hidden",

			ResourceType = "OliveOil",
			RegenRate = (1 / 480), 
			Count = 1, 
		},

		Wine = 
		{
			ToolType = "BareHands",		
			SkillRequired = "LuckSkill",
			DepletedState = "Depleted",

			ResourceType = "Wine",
			RegenRate = (1 / 480), 
			Count = 1, 
		},


		Pot1 = 
		{
			ToolType = "BareHands",		
			SkillRequired = "ForagingSkill",
			DepletedState = "Hidden",

			ResourceType = "Pot1",
			RegenRate = (1 / 120), 
			Count =1, 
		},


		Pot2 = 
		{
			ToolType = "BareHands",		
			SkillRequired = "ForagingSkill",
			DepletedState = "Hidden",

			ResourceType = "Pot2",
			RegenRate = (1 / 120), 
			Count = 1, 
		},


		Pot3 = 
		{
			ToolType = "BareHands",		
			SkillRequired = "ForagingSkill",
			DepletedState = "Hidden",

			ResourceType = "Pot3",
			RegenRate = (1 / 120), 
			Count = 1, 
		},

		Crystal = 
		{
			SourceTemplate = "crystal_cluster",
			ToolType = "BareHands",
			DestroyWhenDepleted = true,
			ResourceType = "Crystal",
			Count = 2,
		},
	},

	ResourceInfo = {
		-- raw world resources
		Wood = {
			SkillRequired = {
					LumberjackSkill = {
						HarvestBonusFactor = 1.3,
						},
			},
			Template = "resource_wood",
			SalvageValue = 5.95,			
		},
		BlightWood = {
			SkillRequired = {
					LumberjackSkill = {
						HarvestBonusFactor = 1.3,
						},
			},
			Template = "resource_blightwood",
			SalvageValue = 6.66,			
		},
	--Aldor: added copper, tin, bronze, coal, steel
		Stone = {
			SkillRequired = {
					MiningSkill = {
						HarvestBonusFactor = 2.0,
						},
			},
			Template = "resource_stone",
			SalvageValue = 0.3,
		},
		Sand = {
			SkillRequired = {
					MiningSkill = {
						HarvestBonusFactor = 1.3,
						},
			},
			Template = "resource_sand",
			SalvageValue = 0.3,
		},
		Coal = {
			SkillRequired = {
					MiningSkill = {
						HarvestBonusFactor = 1.8,
						},
			},
			Template = "resource_coal",
			SalvageValue = 0.5,
		},
		CopperOre = {
			SkillRequired = {
					MiningSkill = {
						HarvestBonusFactor = 1.1,
						},
			},
			Template = "resource_copper_ore",
			DisplayName = "Copper Ore",
			SalvageValue = 2,
			SalvageResource = "CopperScraps"
		},
		TinOre = {
			SkillRequired = {
					MiningSkill = {
						HarvestBonusFactor = 1.0,
						},
			},
			Template = "resource_tin_ore",
			DisplayName = "Tin Ore",
			SalvageValue = 4,
		},
		IronOre = {
			SkillRequired = {
					MiningSkill = {
						HarvestBonusFactor = .5,
						},
			},
			Template = "resource_iron_ore",
			DisplayName = "Iron Ore",
			SalvageValue = 5,
			SalvageResource = "IronScraps"
		},
		CobaltOre = {
			SkillRequired = {
					MiningSkill = {
						HarvestBonusFactor = .1,
						},
			},
			Template = "resource_cobalt_ore",
			DisplayName = "Cobalt Ore",
			SalvageValue = 10,
			SalvageResource = "CobaltScraps"
		},
		CopperScraps = {
			SkillRequired = {
			},
			Template = "resource_coppercraps",
			DisplayName = "Copper Scraps",
		},
		BronzeScraps = {
			SkillRequired = {
			},
			Template = "resource_bronzescraps",
			DisplayName = "Bronze Scraps",
		},
		IronScraps = {
			SkillRequired = {
			},
			Template = "resource_ironscraps",
			DisplayName = "Iron Scraps",
		},
		SteelScraps = {
			SkillRequired = {
			},
			Template = "resource_steelscraps",
			DisplayName = "Steel Scraps",
		},
		CobaltScraps = {
			SkillRequired = {
			},
			Template = "resource_cobaltscraps",
			DisplayName = "Cobalt Scraps",
		},
	--Aldor: end of modifications
		LeatherScraps = {
			SkillRequired = {
			},
			Template = "resource_leatherscraps",
			DisplayName = "Leather Scraps",
		},
		BruteLeatherScraps = {
			SkillRequired = {
			},
			Template = "resource_brute_leatherscraps",
			DisplayName = "Brute Leather Scraps",
		},
		ClothScraps = {
			SkillRequired = {
			},
			Template = "resource_clothscraps",
			DisplayName = "Cloth Scraps",
		},
		SilkScraps = {
			SkillRequired = {
			},
			Template = "resource_silkscraps",
			DisplayName = "Silk Scraps",
		},
		Cotton = {
			SkillRequired = {
			},
			Template = "resource_cotton",
			DisplayName = "Cotton",
		},

		-- intermediate world resources
	--Aldor: added copper, tin, bronze, coal, steel
		CopperIngots = {
			SkillRequired = {
			},
			Template = "resource_copper_ingots",
			DisplayName = "Copper Ingots",
			SalvageValue = 15,
			SalvageResource = "CopperScraps",
		},
		BronzeIngots = {
			SkillRequired = {
			},
			Template = "resource_bronze_ingots",
			DisplayName = "Bronze Ingots",
			SalvageValue = 20,
			SalvageResource = "BronzeScraps",
		},
		IronIngots = {
			SkillRequired = {
			},
			Template = "resource_iron_ingots",
			DisplayName = "Iron Ingots",
			SalvageValue = 30,
			SalvageResource = "IronScraps",
		},
		SteelIngots = {
			SkillRequired = {
			},
			Template = "resource_steel_ingots",
			DisplayName = "Steel Ingots",
			SalvageValue = 50,
			SalvageResource = "SteelScraps",
		},
		CobaltIngots = {
			SkillRequired = {
			},
			Template = "resource_cobalt_ingots",
			DisplayName = "Cobalt Ingots",
			SalvageValue = 66.6,
			SalvageResource = "CobaltScraps",
		},
	--Aldor: end of modifications
		TannedLeather = {
			SkillRequired = {
			},
			Template = "resource_leather_tanned",
			DisplayName = "Tanned Leather",
			SalvageValue = 3.14,
			SalvageResource = "LeatherScraps",
		},
		GildedLeather = {
			SkillRequired = {
			},
			Template = "resource_gilded_leather",
			DisplayName = "Gilded Leather",
			SalvageValue = 3.33,
			SalvageResource = "BruteLeatherScraps",
		},
		Boards = {
			SkillRequired = {
			},
			Template = "resource_boards",
			SalvageValue = 5.95,
			SalvageResource = "Wood",
		},
		BlightwoodBoards = {
			SkillRequired = {
			},
			Template = "resource_blightwood_boards",
			SalvageValue = 6.66,
			SalvageResource = "Blightwood",
		},
		Fabric = {
			SkillRequired = {
			},
			Template = "resource_bolt_of_fabric",
			SalvageValue = 3.17,
			SalvageResource = "ClothScraps",
		},
		SilkFabric = {
			SkillRequired = {
			},
			Template = "resource_silk_fabric",
			SalvageValue = 6.66,
			SalvageResource = "SilkScraps",
		},

		-- FOOD RESOURCES --

		Wine = {
			SkillRequired = {
					LuckSkill = {
						HarvestBonusFactor = 1.2,
						},
				},
			Template = "ingredient_wine",
			HQVersion = "OliveOil",
		},

		Ginseng = {
			SkillRequired = {
					ForagingSkill = {
						HarvestBonusFactor = 1.2,
						},
			},
			Template = "ingredient_ginsengroot",
			HQVersion = "AncientGinseng",
		},
		Moss = {
			SkillRequired = {
					ForagingSkill = {
						HarvestBonusFactor = 1.2,
						},
			},
			Template = "ingredient_moss",
		},
		AncientGinseng = {
			SkillRequired = {
					ForagingSkill = {
						HarvestBonusFactor = 1.4,
						},
			},
			Template = "ingredient_ancient_ginsengroot",
		},
		LemonGrass = {
			SkillRequired = {
					ForagingSkill = {
						HarvestBonusFactor = 1.2,
						},
			},
			Template = "ingredient_lemongrass",
			HQVersion = "ingredient_lemongrass_spirited",
		}, 
		LemonGrassSpirited = {
			SkillRequired = {
					ForagingSkill = {					
						HarvestBonusFactor = 1.2,
						},
			},
			Template = "ingredient_lemongrass_spirited",
		},

		MushroomsPoison = {
			SkillRequired = {
					ForagingSkill = {
						HarvestBonusFactor = 1.2,
						},
				},
			Template = "ingredient_mushroom_poison",
			HQVersion = "MushroomsPoisonNoxious",
		},

		MushroomsPoisonNoxious = {
			SkillRequired = {
					ForagingSkill = {
						HarvestBonusFactor = 1.2,
						},
				},
			Template = "ingredient_mushroom_poison_noxious",
		},

		Mushrooms = {
			SkillRequired = {
					ForagingSkill = {
						HarvestBonusFactor = 1.2,
						},
				},
			Template = "ingredient_mushroom",
			HQVersion = "FragrantMushrooms",
		},

		Cactus = {
			SkillRequired = {
					ForagingSkill = {
						HarvestBonusFactor = 1.2,
						},
				},
			Template = "ingredient_cactus",
			HQVersion = "SacredCactus",
		},

		SacredCactus = {
			SkillRequired = {
					ForagingSkill = {
						HarvestBonusFactor = 1.2,
						},
				},
			Template = "ingredient_sacred_cactus",
		},
		FragrantMushrooms = {
			SkillRequired = {
					ForagingSkill = {
						HarvestBonusFactor = 1.6,
						},
			},
			Template = "ingredient_mushroom_fragrant",
		},
		OliveOil = {
			SkillRequired = {
					ForagingSkill = {
						HarvestBonusFactor = 1.2,
						},
				},
			Template = "ingredient_olive_oil",
		},
		Fruit = {
			SkillRequired = {
					ButcherySkill = {
						HarvestBonusFactor = 1.3,
						},
			},
			Template = "item_apple",
		},
		Bread = {
			SkillRequired = {
					ButcherySkill = {
						HarvestBonusFactor = 1.3,
						},
			},
			Template = "item_bread",
		},
		Broccoli = {
			SkillRequired = {
					ButcherySkill = {
						HarvestBonusFactor = 1.3,
						},
			},
			Template = "ingredient_broccoli",
		},
		Cabbage = {
			SkillRequired = {
					ButcherySkill = {
						HarvestBonusFactor = 1.3,
						},
			},
			Template = "ingredient_cabbage",
		},
		Cucumber = {
			SkillRequired = {
					ButcherySkill = {
						HarvestBonusFactor = 1.3,
						},
			},
			Template = "ingredient_cucumber",
		},
		GreenPepper = {
			SkillRequired = {
					ButcherySkill = {
						HarvestBonusFactor = 1.3,
						},
			},
			Template = "ingredient_green_pepper",
		},
		Onion = {
			SkillRequired = {
					ButcherySkill = {
						HarvestBonusFactor = 1.3,
						},
			},
			Template = "ingredient_onion",
		},
		Potato = {
			SkillRequired = {
					ButcherySkill = {
						HarvestBonusFactor = 1.3,
						},
			},
			Template = "ingredient_potato",
		},
		Tomato = {
			SkillRequired = {
					ButcherySkill = {
						HarvestBonusFactor = 1.3,
						},
			},
			Template = "ingredient_tomato",
		},
		Beer = { --BEEEEEEERRR
			SkillRequired = {
					ButcherySkill = {
						HarvestBonusFactor = 1.3,
						},
			},
			Template = "item_beer",
		},
		Mead = { --BEEEEEEERRR
			SkillRequired = {
					ButcherySkill = {
						HarvestBonusFactor = 1.3,
						},
			},
			Template = "item_mead",
		},


		-- ANIMAL PARTS ---
		AnimalMeat = {
			SkillRequired = {	
				ButcherySkill = {
						HarvestBonusFactor = 1.3,
						},				
			},
			Template = "animalparts_meat",
		},
		BearClaw = {
			SkillRequired = {
					ButcherySkill = {
						HarvestDifficultyFactor = .8,
						},
			},
			Template = "animalparts_bear_claw",
		},
		FishScale = {
			SkillRequired = {
					ButcherySkill = {
						HarvestBonusFactor = .4,
						},
			},
			Template = "animalparts_fish_scale",
		},
		LeatherHide = {
			SkillRequired = {
					ButcherySkill = {
						HarvestBonusFactor = 1.3,
						HarvestDifficultyFactor = .8,
						},
			},
			Template = "animalparts_leather_hide",
		},
		BruteLeatherHide = {
			SkillRequired = {
					ButcherySkill = {
						HarvestBonusFactor = 1.3,
						HarvestDifficultyFactor = .8,
						},
			},
			Template = "animalparts_brute_leather_hide",
		},
		HumanFlesh = {
			SkillRequired = {
					ButcherySkill = {
						HarvestBonusFactor = 1.3,
						},
			},
			Template = "animalparts_human_flesh",
		},
		HumanMeat = {
			SkillRequired = {
					ButcherySkill = {
						HarvestBonusFactor = 1.3,
						},
			},
			Template = "animalparts_meat",
		},
		OgreTooth = {
			SkillRequired = {
					ButcherySkill = {
						HarvestDifficultyFactor = .2,
						},
			},
			Template = "animalparts_ogre_tooth",
		},
		HumanSkull = {
			SkillRequired = {
					ButcherySkill = {
						HarvestDifficultyFactor = .8,
						},
			},
			Template = "animalparts_human_skull",
		},
		RabbitFoot = {
			SkillRequired = {
					ButcherySkill = {
						HarvestDifficultyFactor = .3,
						},
			},
			Template = "animalparts_rabbit_foot",
		},
		RatEar = {
			SkillRequired = {
					ButcherySkill = {
						HarvestDifficultyFactor = .7,
						},
			},
			Template = "animalparts_rat_ear",
		},
		BatEar = {
			SkillRequired = {
					ButcherySkill = {
						HarvestDifficultyFactor = .9,
						},
			},
			Template = "animalparts_bat_ear",
		},
		SnakeSkin = {
			SkillRequired = {
					ButcherySkill = {
						HarvestBonusFactor = 1.1,
						HarvestDifficultyFactor = .9,
						},
			},
			Template = "animalparts_snake_skin",
			DisplayName = "Snake Skin",
		},
		ViperSkin = {
			SkillRequired = {
					ButcherySkill = {
						HarvestBonusFactor = 1.1,
						HarvestDifficultyFactor = .5,
						},
			},
			Template = "animalparts_viper_skin",
		},
		SpiderEye = {
			SkillRequired = {
					ButcherySkill = {
						HarvestBonusFactor = 1.1,
						HarvestDifficultyFactor = .8,
						},
			},
			Template = "animalparts_spider_eye",
		},
		SpiderSilk = {
			SkillRequired = {
					ButcherySkill = {
						HarvestDifficultyFactor = .7,
						},
			},
			Template = "animalparts_spider_silk",
			DisplayName = "Spider Silk",
		},
		WormExtract = {
			SkillRequired = {
					ButcherySkill = {
						HarvestDifficultyFactor = .9,
						},
			},
			Template = "animalparts_worm_extract",
		},
		TurkeyFeather = {
			SkillRequired = {
					ButcherySkill = {
						HarvestBonusFactor = 1.2,
						HarvestDifficultyFactor = .8,
						},
			},
			Template = "animalparts_turkey_feather",
		},
		WolfFang = {
			SkillRequired = {
					ButcherySkill = {
						HarvestBonusFactor = 1.2,
						HarvestDifficultyFactor = .5,
						},
			},
			Template = "animalparts_wolf_fang",
		},
		AncientBearClaw = {
			SkillRequired = {
					ButcherySkill = {
						HarvestDifficultyFactor = .2,
						},
			},
			Template = "animalparts_ancient_bear_claw",
		},
		AncientBearFang = {
			SkillRequired = {
					ButcherySkill = {
						HarvestDifficultyFactor = .2,
						},
			},
			Template = "animalparts_ancient_bear_fang",
		},
		DireWolfFang = {
			SkillRequired = {
					ButcherySkill = {
						HarvestDifficultyFactor = .2,
						},
			},
			Template = "animalparts_dire_wolf_fang",
		},
		GossamerSilk = {
			SkillRequired = {
					ButcherySkill = {
						HarvestDifficultyFactor = .5,
						},
			},
			Template = "animalparts_gloss_silk",
		},
		BeetleExtract = {
			SkillRequired = {
					ButcherySkill = {
						HarvestDifficultyFactor = .7,
						},
			},
			Template = "animalparts_beetle_extract",
		},
		PlagueRatEar = {
			SkillRequired = {
					ButcherySkill = {
						HarvestDifficultyFactor = .5,
						},
			},
			Template = "animalparts_plague_rat_ear",
		},
		PurpleSpiderEye = {
			SkillRequired = {
					ButcherySkill = {
						HarvestDifficultyFactor = .4,
						},
			},
			Template = "animalparts_purple_spider_eye",
		},	

		-- MISC RESOURCES --
		Crystal = {
			SkillRequired = {
			},
			Template = "resource_crystal",
		},
		Essence = {
			SkillRequired = {
			},
			Template = "resource_essence",
		},

		Bones = {
			SkillRequired = {
					ForagingSkill = {
						HarvestBonusFactor = 1.2,
						},
				},
			Template = "animalparts_bone",
		},
		ArcaneScroll = {
			SkillRequired = {
					ForagingSkill = {
						HarvestBonusFactor = 1.2,
						},
				},
			Template = "ingredient_arcane_scroll",
		},

		Pot1 = {
			SkillRequired = {
					ForagingSkill = {
						HarvestBonusFactor = 1.2,
						},
				},
			Template = "furniture_pot_ceramic_1",
		},
		Pot2 = {
			SkillRequired = {
					ForagingSkill = {
						HarvestBonusFactor = 1.2,
						},
				},
			Template = "furniture_pot_ceramic_2",
		},
		Pot3 = {
			SkillRequired = {
					ForagingSkill = {
						HarvestBonusFactor = 1.2,
						},
				},
			Template = "furniture_pot_ceramic_3",
		},
	}
}
