<?php
/***************************************************************************************************************\
* Aldor III. Translation of Shards Online																		*
* 																												*
* - 2016/09/12 Sacha: start of development.																		*
* - 2016/09/13 Sacha: added data_combat_abilities as a lua example.												*
\***************************************************************************************************************/

echo "<html><head><title>Shards Online translation</title></head><body>\n";
echo "<h1>Shards Online translation</h1><code>by Arvirago (<a href='http://www.aldor.es'>www.aldor.es</a>)</code>\n";

echo "<h2>Translating Seed Objects</h2>\n";
	require "./data.mapdata.Celador.SeedObjects.php";
	translate_file($file_origin, $file_translation);
	require "./data.mapdata.Catacombs.SeedObjects.php";
	translate_file($file_origin, $file_translation);

echo "<h2>Translating Scripts</h2>\n";
	require "./data.scripts.data_combat_abilities.php";
	translate_file($file_origin, $file_translation);

echo "<h2>Translating Templates</h2>\n";
	echo "<h4>In development</h4>\n";

echo "<p>End of translation.</body></html>\n";

function translate_file($file_origin, $file_translation) {
	global $o, $t;
	echo "<h4>Translating $file_origin</h4><ul>\n";
	// Read the original file
	echo "<li>Reading file <i>" . $file_origin . "</i></li>\n";
	$data = file_get_contents($file_origin);
	if (!$data) die("ERROR: file not found.");
	// Translate
	$data = str_replace($o, $t, $data, $count);
	echo "<li>File translated. <b>$count</b> replacements done.</li>\n";
	// Write translated file
	$bytes = file_put_contents($file_translation, $data);
	echo "<li>$bytes bytes written to file <i>" . $file_translation . "</i></li>\n";
	echo "</ul>\n";
}
?>