-- Food status effect script (bensku)

require "incl_effect_utils"

function ApplyFoodEffect(user, result, reason, food, foodInfo)
	if result ~= "success" then return end

	--user:SystemMessage("ApplyFoodEffect called")

	local applyingMethod = food:GetObjVar("ApplyingMethod")

	if applyingMethod == "food" then
		local cure = food:GetObjVar("CureEffects")
		if cure ~= nil then
			for effect,uses in pairs(cure) do
				--DebugMessage("Cure effect "..effect.." "..uses.." times.")
				user:SendMessage("AddCureProcess", effect, uses)
			end
		end

		--user:SystemMessage("applyingMethod == food")
		InitEffects(user)
		InflictFromPackedData(user, food:GetObjVar("EffectData"))
		user:SendMessage("WakeUpEffects")
	end
end

EatListeners["statusEffect"] = ApplyFoodEffect